Props passed to editor component

### Type parameters

- #### DataType = any

### Hierarchy

- IPieceProps

## Index

### Properties

- actions
- api
- className
- editorActive
- expert
- onClose
- onSave
- options
- piece
- wrapper

## Properties

### actions

actions: PieceActions<DataType>

Actions for piece manipulations

### api

api: IPiecesAPI

API for working with pieces

### Optional className

className: undefined | string

Classnames to pass to editor initializator

### editorActive

editorActive: boolean

Boolean indicating this editor type is active

### expert

expert: boolean

Boolean indicating expert mode is enabled

### Optional onClose

onClose: undefined | (() => void)

deprecated

### Optional onSave

onSave: undefined | ((id: string) => void)

deprecated

### Optional options

options: any

Options to pass to editor initializator

### piece

piece: IPieceItem<DataType>

Properties of piece

### wrapper

wrapper: HTMLElement

Wrapper where all editors are located

Generated using TypeDoc